<?php
namespace Makecommerce\Ecommerce\Console\Command\Makecommerce;

use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class ConfigureCommand extends Command
{
    // @codingStandardsIgnoreStart
    /**
     * @var \Makecommerce\Ecommerce\Helper\Updater
     */
    protected $updater;
    // @codingStandardsIgnoreEnd

    /**
     * Constructor.
     *
     * @param \Makecommerce\Ecommerce\Helper\Updater $updater The name of the command; passing null means it must be set
     * @param string|null $name The name of the command; passing null means it must be set in configure()in configure()
     *
     * @throws \LogicException When the command name is empty
     *
     * @api
     */
    public function __construct(
        \Makecommerce\Ecommerce\Helper\Updater $updater,
        $name = null
    ) {
        parent::__construct($name);
        $this->updater = $updater;
    }

    /**
     * Configure
     * @return void
     */
    protected function configure()
    {
        $this->setName('makecommerce:configure')->setDescription('Gets the configuration from makecommerce');
    }

    /**
     * Execute the command
     * @param InputInterface $input
     * @param OutputInterface $output
     * @return void
     */
    protected function execute(InputInterface $input, OutputInterface $output)
    {
        $this->updater->update(true);

        $output->writeLn('Configuration updated!');
    }
}
